Security events

List Security Events

GET
/security-events

Lists platform-wide security events (failed sign-ins, rejected credentials, access denials, rate limits, super admin organization access) with filtering, sorting and pagination. Super admins only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""kind""organizationId""userId""apiKeyId""oauthClientId""ipAddress""userAgent""path""reason""metadata""createdAt"
sortDir?string
Value in"asc""desc"
organizationId?string|array<string>|null
userId?string|array<string>|null
apiKeyId?string|array<string>|null
oauthClientId?string|array<string>|null
kind?|array<>|
createdAt?|null
ipAddress?string|array<string>|
userAgent?string|array<string>|
path?string|array<string>|
reason?string|array<string>|
metadata?

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/security-events'
null